summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorJosh Haberman <jhaberman@gmail.com>2014-09-01 02:23:56 -0700
committerJosh Haberman <jhaberman@gmail.com>2014-09-01 02:23:56 -0700
commit3461a5113e5b131dfa7514308559f7e0f025e5a5 (patch)
treedd84b240529cfbbed64e8c2cdc7939c3f6c80331 /travis.sh
parent6ed916653f67b93eba27e6594c0ff1b526de8ad9 (diff)
Enable more Travis configurations.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/travis.sh b/travis.sh
new file mode 100755
index 0000000..74cc48a
--- /dev/null
+++ b/travis.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+# Bare build: no dependencies installed, no JIT enabled.
+bare_install() {
+ :
+}
+bare_script() {
+ make -j12 tests && make test
+}
+
+# Bare JIT build: no dependencies installed, but JIT enabled.
+barejit_install() {
+ :
+}
+barejit_script() {
+ make -j12 tests WITH_JIT=yes && make test
+}
+
+# Build with Google protobuf support and tests (with JIT).
+withprotobuf_install() {
+ sudo apt-get update -qq
+ sudo apt-get install protobuf-compiler libprotobuf-dev
+}
+withprotobuf_script() {
+ make -j12 tests googlepbtests WITH_JIT=yes
+ make test
+}
+
+set -e
+set -x
+eval ${UPB_TRAVIS_BUILD}_${1}
+
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback